summaryrefslogtreecommitdiffstats
path: root/tests/ts/minix
diff options
context:
space:
mode:
authorMilan Broz2012-10-05 18:37:39 +0200
committerKarel Zak2012-10-09 12:12:49 +0200
commit53ebc440fc2c470e98d835f1e193e344bcc62c21 (patch)
tree62efbb22d9c33b67b04030526092459dd55877a7 /tests/ts/minix
parenttests: fix timezone for cramfs (diff)
downloadkernel-qcow2-util-linux-53ebc440fc2c470e98d835f1e193e344bcc62c21.tar.gz
kernel-qcow2-util-linux-53ebc440fc2c470e98d835f1e193e344bcc62c21.tar.xz
kernel-qcow2-util-linux-53ebc440fc2c470e98d835f1e193e344bcc62c21.zip
tests: ignore test if kernel doesn't support minix fs
Minix mount test returs failure if kernel have no minix support, minix: mkfs ... FAILED (minix/mkfs) ignore test result instead in this case. Signed-off-by: Milan Broz <mbroz@redhat.com>
Diffstat (limited to 'tests/ts/minix')
-rwxr-xr-xtests/ts/minix/mkfs3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/ts/minix/mkfs b/tests/ts/minix/mkfs
index 93de4e6ea..39185ad81 100755
--- a/tests/ts/minix/mkfs
+++ b/tests/ts/minix/mkfs
@@ -35,7 +35,8 @@ ts_log "create mountpoint dir"
[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
ts_log "mount the filesystem"
-$TS_CMD_MOUNT $DEVICE $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT
+($TS_CMD_MOUNT $DEVICE $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT || true) \
+ | grep -q "unknown filesystem type" && ts_skip "mkfs: minix fs not supported by kernel"
# check it
ts_is_mounted $DEVICE || ts_die "Cannot find $DEVICE in /proc/mounts" $DEVICE